<template>
  <div id="About" class="about">
    <div class="about__container">
      <el-row>
        <el-row>
          <h1>Cerita di Balik Aplikasi Sapawarga</h1>
        </el-row>

        <el-row>
          <el-timeline>
            <el-timeline-item v-for="(item, index) in about" :key="index" :hide-timestamp="true" placement="top" size="large" color="#FFFFFF">
              <el-row>
                <span>{{ item.year }}</span>
              </el-row>
              <el-row>
                <el-col :sm="24" :md="7">
                  <el-image :src="item.img" :alt="item.year" fit="contain" />
                </el-col>
                <el-col :sm="24" :md="17">
                  <p>{{ item.content }}</p>
                </el-col>
              </el-row>
            </el-timeline-item>
          </el-timeline>
        </el-row>
      </el-row>
    </div>
  </div>
</template>

<script>
export default {
  name: 'About',
  data() {
    return {
      about: [
        {
          year: '2019',
          img: require('@/assets/landing-page/2019.png'),
          content: 'Gubernur Jawa Barat Ridwan Kamil meresmikan aplikasi Sapawarga pada 6 Desember 2019. Aplikasi Sapawarga menjawab permasalahan keterbatasan komunikasi antara warga dengan pemerintah daerah. Warga dapat menyampaikan aspirasi, mendapatkan informasi dan mengaksis layanan publik dalam satu aplikasi.'
        },
        {
          year: '2020',
          img: require('@/assets/landing-page/2020.png'),
          content: 'Saat pandemi Covid mulai berdampak negatif untuk ekonomi masyarakat Jawa Barat. Sapawarga bekerja sama dengan Dinas Sosial Jawa Barat hadir sebagai salah satu aplikasi untuk membantu collect data, pengaluran dan pendaftaran penerima Bantuan Sosial di Jawa Barat. Dengan total 9 juta lebih penerima manfaat'
        },
        {
          year: '2021',
          img: require('@/assets/landing-page/2021.png'),
          content: 'Bekerja sama dengan Dinas Tenaga Kerja dan Transmigrasi Provinsi Jawa Barat. Meluncurkan fitur untuk mempermudah masyarakat mencari dan melamar pekerjaan, dengan fitur ini diharapkan masyarakat yang terdampak covid bisa mendapatkan pekerjaan kembali.'
        }
      ]
    }
  }
}
</script>

<style lang="scss" scoped>
.about {
  background-color: #022B55;

  &__container {
    height: 100%;
    padding: 100px 120px;
  }
}

span {
  font-size: 14px;
  line-height: 1.5rem;
  color: #FFF;
}

h1 {
  color: #FFF;
  font-size: 49px;
  margin-bottom: 0;
}

p {
  color: #FFF;
  line-height: 1.5em;
  font-size: 18px;
  max-width: 600px;
  padding: 0;
}

.el-timeline {
  margin: 50px 0 30px 0;
  max-height: 400px;
  overflow-y: auto;
  scrollbar-gutter: stable;
}

.el-timeline-item {
  padding: 10px 0;
}

@media screen and (max-width: 850px) {
  h1 {
    font-size: 36px;
    text-align: center;
  }

  p {
    font-size: 16px;
    text-align: center;
  }
}

@media screen and (max-width: 600px) {
  .about__container {
    padding: 30px 30px;
  }

  .el-timeline {
    max-height: 350px;
    padding: 5px 5px 0 10px;
  }

  h1 {
    font-size: 24px;
    text-align: center;
  }

  p {
    font-size: 12px;
    text-align: center;
  }
}
</style>
